Issue 117082 - editengine: static maTypeSequence instances destroyed too late
Summary: editengine: static maTypeSequence instances destroyed too late
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: DEV300m100
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-25 15:42 UTC by Stephan Bergmann
Modified: 2017-05-20 10:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2011-02-25 15:42:42 UTC
At least on DEV300_m101 based CWS sb140, unxlngx6 non-pro, executing comphelper/qa/complex under valgrind reports

Invalid read of size 4
   at 0x6FED3F2: cppu::_destructData(void*, _typelib_TypeDescriptionReference*, _typelib_TypeDescription*, void (*)(void*)) (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FEB1AA: uno_type_destructData (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x22555F7A: com::sun::star::uno::Sequence<com::sun::star::uno::Type>::~Sequence() (Sequence.hxx:117)
   by 0x226D4129: __static_initialization_and_destruction_0(int, int) (unotext.cxx:1707)
   by 0x226D4156: global destructors keyed to _Z45ImplGetSvxUnoOutlinerTextCursorSvxPropertySetv (unotext.cxx:2725)
   by 0x22555171: ??? (in opt/openoffice.org/basis3.4/program/libeditenglx.so)
   by 0x226ED020: ??? (in opt/openoffice.org/basis3.4/program/libeditenglx.so)
   by 0x6213261: exit (exit.c:78)
   by 0x61F8C53: (below main) (libc-start.c:258)
 Address 0xea22180 is 16 bytes inside a block of size 96 free'd
   at 0x4C270BD: free (vg_replace_malloc.c:366)
   by 0x4E9A7E3: rtl_freeMemory (in opt/openoffice.org/ure/lib/libuno_sal.so.3)
   by 0x4012BB: deallocate(void*, (anonymous namespace)::AllocatorTraits const&) (in opt/openoffice.org3/program/soffice.bin)
   by 0x401353: operator delete(void*) (in opt/openoffice.org3/program/soffice.bin)
   by 0x6FE2DA3: typelib_typedescription_release (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE24AA: typelib_typedescriptionreference_release (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE3537: TypeDescriptor_Init_Impl::~TypeDescriptor_Init_Impl() (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE35E3: __tcf_0 (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6213261: exit (exit.c:78)
   by 0x61F8C53: (below main) (libc-start.c:258)

Invalid read of size 4
   at 0x6FED3F2: cppu::_destructData(void*, _typelib_TypeDescriptionReference*, _typelib_TypeDescription*, void (*)(void*)) (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FEB1AA: uno_type_destructData (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x22555F7A: com::sun::star::uno::Sequence<com::sun::star::uno::Type>::~Sequence() (Sequence.hxx:117)
   by 0x226D4135: __static_initialization_and_destruction_0(int, int) (unotext.cxx:1591)
   by 0x226D4156: global destructors keyed to _Z45ImplGetSvxUnoOutlinerTextCursorSvxPropertySetv (unotext.cxx:2725)
   by 0x22555171: ??? (in opt/openoffice.org/basis3.4/program/libeditenglx.so)
   by 0x226ED020: ??? (in opt/openoffice.org/basis3.4/program/libeditenglx.so)
   by 0x6213261: exit (exit.c:78)
   by 0x61F8C53: (below main) (libc-start.c:258)
 Address 0xea22180 is 16 bytes inside a block of size 96 free'd
   at 0x4C270BD: free (vg_replace_malloc.c:366)
   by 0x4E9A7E3: rtl_freeMemory (in opt/openoffice.org/ure/lib/libuno_sal.so.3)
   by 0x4012BB: deallocate(void*, (anonymous namespace)::AllocatorTraits const&) (in opt/openoffice.org3/program/soffice.bin)
   by 0x401353: operator delete(void*) (in opt/openoffice.org3/program/soffice.bin)
   by 0x6FE2DA3: typelib_typedescription_release (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE24AA: typelib_typedescriptionreference_release (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE3537: TypeDescriptor_Init_Impl::~TypeDescriptor_Init_Impl() (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE35E3: __tcf_0 (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6213261: exit (exit.c:78)
   by 0x61F8C53: (below main) (libc-start.c:258)

Invalid read of size 4
   at 0x6FED3F2: cppu::_destructData(void*, _typelib_TypeDescriptionReference*, _typelib_TypeDescription*, void (*)(void*)) (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FEB1AA: uno_type_destructData (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x22555F7A: com::sun::star::uno::Sequence<com::sun::star::uno::Type>::~Sequence() (Sequence.hxx:117)
   by 0x226E245D: __static_initialization_and_destruction_0(int, int) (unotext2.cxx:490)
   by 0x226E248A: global destructors keyed to _ZN28SvxUnoTextContentEnumerationC2ERK14SvxUnoTextBase (unotext2.cxx:711)
   by 0x22555171: ??? (in opt/openoffice.org/basis3.4/program/libeditenglx.so)
   by 0x226ED020: ??? (in opt/openoffice.org/basis3.4/program/libeditenglx.so)
   by 0x6213261: exit (exit.c:78)
   by 0x61F8C53: (below main) (libc-start.c:258)
 Address 0xea22180 is 16 bytes inside a block of size 96 free'd
   at 0x4C270BD: free (vg_replace_malloc.c:366)
   by 0x4E9A7E3: rtl_freeMemory (in opt/openoffice.org/ure/lib/libuno_sal.so.3)
   by 0x4012BB: deallocate(void*, (anonymous namespace)::AllocatorTraits const&) (in opt/openoffice.org3/program/soffice.bin)
   by 0x401353: operator delete(void*) (in opt/openoffice.org3/program/soffice.bin)
   by 0x6FE2DA3: typelib_typedescription_release (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE24AA: typelib_typedescriptionreference_release (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE3537: TypeDescriptor_Init_Impl::~TypeDescriptor_Init_Impl() (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE35E3: __tcf_0 (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6213261: exit (exit.c:78)
   by 0x61F8C53: (below main) (libc-start.c:258)

Invalid read of size 4
   at 0x6FED3F2: cppu::_destructData(void*, _typelib_TypeDescriptionReference*, _typelib_TypeDescription*, void (*)(void*)) (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FEB1AA: uno_type_destructData (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x22555F7A: com::sun::star::uno::Sequence<com::sun::star::uno::Type>::~Sequence() (Sequence.hxx:117)
   by 0x226E2469: __static_initialization_and_destruction_0(int, int) (unotext2.cxx:116)
   by 0x226E248A: global destructors keyed to _ZN28SvxUnoTextContentEnumerationC2ERK14SvxUnoTextBase (unotext2.cxx:711)
   by 0x22555171: ??? (in opt/openoffice.org/basis3.4/program/libeditenglx.so)
   by 0x226ED020: ??? (in opt/openoffice.org/basis3.4/program/libeditenglx.so)
   by 0x6213261: exit (exit.c:78)
   by 0x61F8C53: (below main) (libc-start.c:258)
 Address 0xea22180 is 16 bytes inside a block of size 96 free'd
   at 0x4C270BD: free (vg_replace_malloc.c:366)
   by 0x4E9A7E3: rtl_freeMemory (in opt/openoffice.org/ure/lib/libuno_sal.so.3)
   by 0x4012BB: deallocate(void*, (anonymous namespace)::AllocatorTraits const&) (in opt/openoffice.org3/program/soffice.bin)
   by 0x401353: operator delete(void*) (in opt/openoffice.org3/program/soffice.bin)
   by 0x6FE2DA3: typelib_typedescription_release (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE24AA: typelib_typedescriptionreference_release (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE3537: TypeDescriptor_Init_Impl::~TypeDescriptor_Init_Impl() (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6FE35E3: __tcf_0 (in opt/openoffice.org/ure/lib/libuno_cppu.so.3)
   by 0x6213261: exit (exit.c:78)
   by 0x61F8C53: (below main) (libc-start.c:258)


The reasons are the same as for issue 116885.
Comment 1 Stephan Bergmann 2011-02-25 16:02:25 UTC
fixed as <http://hg.services.openoffice.org/cws/sb140/rev/771ac331068d>
Comment 2 Stephan Bergmann 2011-03-23 12:40:03 UTC
+ <http://hg.services.openoffice.org/cws/sb140/rev/5afe1c6cf850>
Comment 3 Stephan Bergmann 2011-03-23 12:55:15 UTC
+ <http://hg.services.openoffice.org/cws/sb140/rev/0e62187cf3a3>
Comment 4 Oliver-Rainer Wittmann 2012-06-13 12:31:27 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.